=== debian/changelog ===
uxplay (1.46-1) experimental; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <tar@debian.org>  Thu, 20 Jan 2022 16:01:39 +0100

uxplay (1.44g-1) experimental; urgency=medium

  * New upstream version.
  * d/watch: fix URL.
  * d/copyright: update years.

 -- Gürkan Myczko <tar@debian.org>  Sun, 16 Jan 2022 23:37:28 +0100

uxplay (1.43-2) experimental; urgency=medium

  * Drop -march=native from upstream build.

 -- Gürkan Myczko <tar@debian.org>  Mon, 13 Dec 2021 09:02:19 +0100

uxplay (1.43-1) experimental; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <tar@debian.org>  Fri, 10 Dec 2021 12:45:17 +0100

uxplay (1.41a-1) experimental; urgency=medium

  * Initial release. (Closes: #996339)

 -- Gürkan Myczko <tar@debian.org>  Sun, 14 Nov 2021 19:32:18 +0100
