=== debian/control ===
Source: uxplay
Section: net
Priority: optional
Maintainer: Gürkan Myczko <tar@debian.org>
Build-Depends: debhelper-compat (= 13), cmake, libavahi-compat-libdnssd-dev, libplist-dev, libssl-dev (>= 3.0.0), libgstreamer1.0-dev, libgstreamer-plugins-base1.0-dev, gstreamer1.0-libav, gstreamer1.0-vaapi, gstreamer1.0-plugins-bad
Standards-Version: 4.6.0
Homepage: https://github.com/FDH2/UxPlay
Rules-Requires-Root: no

Package: uxplay
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: open-source AirPlay mirroring server
 This lets you use AirPlay mirroring on your computer. Its main use is to act
 like an AppleTV for screen-mirroring (with audio) of iOS/macOS clients
 (iPads, iPhones, MacBooks) in a window on the server display on a host running
 Linux, macOS, or other unix, using Apple's AirPlay Mirror protocol first
 available in iOS 5.
