## uxplay 1.52

=== debian/changelog ===
uxplay (1.52-2) unstable; urgency=medium

  * Upload to unstable.
  * Bump standards version to 4.6.1.

 -- Gürkan Myczko <tar@debian.org>  Wed, 18 May 2022 13:42:29 +0200

uxplay (1.52-1) experimental; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <tar@debian.org>  Mon, 09 May 2022 16:29:34 +0200

uxplay (1.51a-1) experimental; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <tar@debian.org>  Wed, 27 Apr 2022 07:49:48 +0200

uxplay (1.49-1) experimental; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <tar@debian.org>  Sat, 02 Apr 2022 13:48:03 +0200

uxplay (1.48c-1) experimental; urgency=medium

  * New upstream version.
  * d/debian/patches: dropped as added option to d/rules.

 -- Gürkan Myczko <tar@debian.org>  Sun, 13 Mar 2022 17:04:41 +0100

uxplay (1.47-1) experimental; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <tar@debian.org>  Sun, 13 Feb 2022 18:15:39 +0100
