## uxplay 1.56

=== CMakeLists.txt ===
--- 
+++ 
@@ -17,6 +17,8 @@
 
 if( UNIX AND NOT APPLE )
  add_definitions( -DSUPPRESS_AVAHI_COMPAT_WARNING )
+else()
+  set( CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE )
 endif()
 
 add_subdirectory( lib/llhttp )
