=== debian/changelog ===
uxplay (1.56-1) unstable; urgency=medium

  * New upstream release.

 -- Gürkan Myczko <tar@debian.org>  Sun, 14 Aug 2022 12:26:30 +0200

uxplay (1.54d-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <tar@debian.org>  Mon, 11 Jul 2022 14:44:51 +0200

uxplay (1.53-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <tar@debian.org>  Sun, 19 Jun 2022 22:23:28 +0200
