## uxplay 1.61.1

=== debian/changelog ===
uxplay (1.61.1-1) unstable; urgency=medium

  * New upstream version.
  * d/copyright: bump years.

 -- Gürkan Myczko <tar@debian.org>  Tue, 03 Jan 2023 12:20:48 +0100

uxplay (1.60-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <tar@debian.org>  Mon, 19 Dec 2022 12:39:57 +0100

uxplay (1.58-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <tar@debian.org>  Thu, 10 Nov 2022 09:29:16 +0100

uxplay (1.57-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <tar@debian.org>  Sat, 15 Oct 2022 16:54:56 +0200
