=== debian/changelog ===
uxplay (1.62-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <tar@debian.org>  Wed, 01 Feb 2023 07:55:14 +0100
