=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Gürkan Myczko <tar@debian.org>
 Build-Depends: debhelper-compat (= 13), cmake, libavahi-compat-libdnssd-dev, libplist-dev, libssl-dev (>= 3.0.0), libgstreamer1.0-dev, libgstreamer-plugins-base1.0-dev, gstreamer1.0-libav, gstreamer1.0-vaapi, gstreamer1.0-plugins-bad
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/FDH2/UxPlay
 Rules-Requires-Root: no
