=== debian/rules ===
--- 
+++ 
@@ -12,3 +12,7 @@
 
 %:
 	dh $@
+
+override_dh_auto_configure:
+	dh_auto_configure -- \
+	    -DNO_MARCH_NATIVE=ON
