## uxplay 1.65

=== debian/changelog ===
uxplay (1.65-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <tar@debian.org>  Mon, 12 Jun 2023 09:06:30 +0200

uxplay (1.64-1) experimental; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <tar@debian.org>  Mon, 08 May 2023 07:35:00 +0200

uxplay (1.63.2-2) experimental; urgency=medium

  * d/control: Add Vcs fields.
  * d/copyright: drop lib/memalign.h as not shipped anymore.
  * disable -march-native with patch.

 -- Gürkan Myczko <tar@debian.org>  Thu, 30 Mar 2023 11:31:08 +0200

uxplay (1.63.2-1) experimental; urgency=medium

  * New upstream version.
  * Bump standards version to 4.6.2.
  * d/control: wrap Build-Depends.

 -- Gürkan Myczko <tar@debian.org>  Mon, 20 Feb 2023 07:24:47 +0100
