## uxplay 1.65.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -12,18 +12,19 @@
   message (STATUS "cmake option ZOOMFIX is no longer used (if needed, ZOOMFIX is automatically applied if X11 libraries are present)" )
 endif()
 
-
-if ( NOT NO_X11_DEPS )
-find_package( X11  )
-  if ( X11_FOUND )
-    message (STATUS "Will compile using X11 Libraries  (use cmake option -DNO_X11_DEPS=ON if X11 dependence is not wanted)" )
-    link_libraries( ${X11_LIBRARIES} )
-    include_directories( ${X11_INCLUDE_DIR} )
-   else ()
-       message (STATUS "X11 libraries not found, will compile without X11 dependence" )
-   endif ()
-else()
-   message (STATUS "will compile without X11 dependence" )
+if ( ( UNIX AND NOT APPLE ) OR USE_X11 )
+  if ( NOT NO_X11_DEPS )
+  find_package( X11  )
+    if ( X11_FOUND )
+      message (STATUS "Will compile using X11 Libraries  (use cmake option -DNO_X11_DEPS=ON if X11 dependence is not wanted)" )
+      link_libraries( ${X11_LIBRARIES} )
+      include_directories( ${X11_INCLUDE_DIR} )
+    else ()
+      message (STATUS "X11 libraries not found, will compile without X11 dependence" )
+    endif ()
+  else()
+    message (STATUS "will compile without X11 dependence" )
+  endif()
 endif()
 
 if( UNIX AND NOT APPLE )
