=== renderers/CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,15 @@
 cmake_minimum_required(VERSION 3.4.1)
 
-set( ENV{PKG_CONFIG_PATH} "$ENV{PKG_CONFIG_PATH}:/usr/local/lib/pkgconfig" ) # standard location for self-installed gstreamer
 if (APPLE )
   set( ENV{PKG_CONFIG_PATH} "/Library/FrameWorks/GStreamer.framework/Libraries/pkgconfig" ) # GStreamer.framework, preferred
+  set( ENV{PKG_CONFIG_PATH} "$ENV{PKG_CONFIG_PATH}:/usr/local/lib/pkgconfig" ) # Brew or self-installed gstreamer
+  set( ENV{PKG_CONFIG_PATH} "$ENV{PKG_CONFIG_PATH}:/opt/homebrew/lib/pkgconfig" ) # Brew, M1/M2 macs  
   set( ENV{PKG_CONFIG_PATH} "$ENV{PKG_CONFIG_PATH}:/opt/local/lib/pkgconfig/" ) # MacPorts
   message( "PKG_CONFIG_PATH (Apple, renderers) = " $ENV{PKG_CONFIG_PATH} )
   find_program( PKG_CONFIG_EXECUTABLE  pkg-config  PATHS /Library/FrameWorks/GStreamer.framework/Commands )
   set(PKG_CONFIG_EXECUTABLE ${PKG_CONFIG_EXECUTABLE} --define-prefix )
+else()
+  set( ENV{PKG_CONFIG_PATH} "$ENV{PKG_CONFIG_PATH}:/usr/local/lib/pkgconfig" ) # standard location for self-installed gstreamer
 endif()
 
 find_package( PkgConfig REQUIRED )
@@ -17,6 +20,7 @@
   if ( GST120_FOUND )
     message( "--   ZOOMFIX will NOT be applied as Gstreamer version is >= 1.20" )
   else()
+    message( "--   Failure to find Gstreamer >= 1.20 is NOT an error!" )
     message( "--   ZOOMFIX will be applied as Gstreamer version is < 1.20" )
     add_definitions( -DZOOM_WINDOW_NAME_FIX )
   endif()
