=== debian/changelog ===
uxplay (1.65.3-1) unstable; urgency=medium

  * New upstream version.
  * d/control: Vcs fields, move to Debian Bananas team.

 -- Gürkan Myczko <tar@debian.org>  Mon, 07 Aug 2023 11:29:12 +0200
