=== debian/control ===
--- 
+++ 
@@ -14,8 +14,8 @@
  gstreamer1.0-vaapi,
  gstreamer1.0-plugins-bad
 Standards-Version: 4.6.2
-Vcs-Browser: https://salsa.debian.org/debian/uxplay
-Vcs-Git: https://salsa.debian.org/debian/uxplay.git
+Vcs-Browser: https://salsa.debian.org/bananas-team/uxplay
+Vcs-Git: https://salsa.debian.org/bananas-team/uxplay.git
 Homepage: https://github.com/FDH2/UxPlay
 Rules-Requires-Root: no
