## uxplay 1.67

=== debian/changelog ===
uxplay (1.67-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <tar@debian.org>  Mon, 11 Dec 2023 14:03:04 +0100

uxplay (1.66-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <tar@debian.org>  Thu, 12 Oct 2023 16:48:59 +0200
