## uxplay 1.68.1

=== debian/changelog ===
uxplay (1.68.1-1) unstable; urgency=medium

  * New upstream version.
  * d/control: add gstreamer1.0-libav to Depends. (LP: #2042794)

 -- Gürkan Myczko <tar@debian.org>  Thu, 04 Jan 2024 08:26:04 +0100
