=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
 
 Package: uxplay
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, gstreamer1.0-libav
 Description: open-source AirPlay mirroring server
  This lets you use AirPlay mirroring on your computer. Its main use is to act
  like an AppleTV for screen-mirroring (with audio) of iOS/macOS clients
