## uxplay 1.68.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,8 @@
-cmake_minimum_required( VERSION 3.4.3 )
+if ( APPLE )
+  cmake_minimum_required( VERSION 3.13 )
+else ()
+  cmake_minimum_required( VERSION 3.5 )
+endif ()
 
 project( uxplay )
 
@@ -38,6 +42,11 @@
 add_subdirectory( lib )
 add_subdirectory( renderers )
 
+if  ( GST_MACOS )
+     add_definitions( -DGST_MACOS )
+     message ( STATUS "define GST_MACOS" )
+endif()
+
 add_executable( uxplay uxplay.cpp )
 target_link_libraries( uxplay
                    renderers
