=== renderers/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.4.1)
+cmake_minimum_required(VERSION 3.5)
 
 if (APPLE )
   set( ENV{PKG_CONFIG_PATH} "/Library/FrameWorks/GStreamer.framework/Libraries/pkgconfig" ) # GStreamer.framework, preferred
@@ -44,6 +44,11 @@
 if( GST_INCLUDE_DIRS MATCHES "/Library/FrameWorks/GStreamer.framework/include" )
   set( GST_INCLUDE_DIRS "/Library/FrameWorks/GStreamer.framework/Headers")
   message( STATUS  "GST_INCLUDE_DIRS" ${GST_INCLUDE_DIRS} )
+# fix to use -DGST_MACOS for "Official" GStreamer >= 1.22 packages
+  pkg_check_modules ( GST122 gstreamer-1.0>=1.22 )
+  if ( GST122_FOUND )
+    set( GST_MACOS "1" CACHE STRING "define GST_MACOS in uxplay.cpp" )
+  endif()
 endif()
 target_include_directories ( renderers PUBLIC ${GST_INCLUDE_DIRS} )
 
@@ -62,3 +67,4 @@
 endif()
 
 
+
