=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: uxplay
 Section: net
 Priority: optional
-Maintainer: Gürkan Myczko <tar@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Gürkan Myczko <tar@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  cmake,
