## uxplay 1.68.3

=== debian/changelog ===
uxplay (1.68.3-1) unstable; urgency=medium

  * New upstream version.
  * Bump standards version to 4.7.0.
  * d/copyright: bump years.

 -- Alex Myczko <tar@debian.org>  Sun, 09 Jun 2024 18:55:10 +0000
