## uxplay 1.69

=== CMakeLists.txt ===
--- 
+++ 
@@ -47,6 +47,12 @@
      message ( STATUS "define GST_MACOS" )
 endif()
 
+if  ( GST_124 )
+     add_definitions( -DGST_124 )
+     message ( STATUS "define GST_124" )
+endif()
+
+
 add_executable( uxplay uxplay.cpp )
 target_link_libraries( uxplay
                    renderers
