=== lib/CMakeLists.txt ===
--- 
+++ 
@@ -80,17 +80,19 @@
 endif()
 
 # libplist
-if( APPLE OR WIN32 )
+pkg_search_module(PLIST REQUIRED libplist-2.0)
+if ( PLIST_FOUND )
+   message( STATUS "found libplist-${PLIST_VERSION}" )
+endif()
+if( APPLE )
    # use static linking
-   pkg_search_module( PLIST REQUIRED libplist-2.0 )
    find_library( LIBPLIST libplist-2.0.a REQUIRED )
    message( STATUS "(Static linking) LIBPLIST " ${LIBPLIST} )
    target_link_libraries ( airplay  ${LIBPLIST} )
+elseif( WIN32)
+  find_library( LIBPLIST ${PLIST_LIBRARIES} PATH ${PLIST_LIBDIR} )
+  target_link_libraries ( airplay ${LIBPLIST} )
 else ()
-  pkg_search_module(PLIST libplist>=2.0)
-  if(NOT PLIST_FOUND)
-    pkg_search_module(PLIST REQUIRED libplist-2.0)
-  endif()
   find_library( LIBPLIST ${PLIST_LIBRARIES} PATH ${PLIST_LIBDIR} )
   target_link_libraries ( airplay PUBLIC ${LIBPLIST} )
 endif()
