=== renderers/CMakeLists.txt ===
--- 
+++ 
@@ -9,6 +9,12 @@
   find_program( PKG_CONFIG_EXECUTABLE  pkg-config  PATHS /Library/FrameWorks/GStreamer.framework/Commands )
   set(PKG_CONFIG_EXECUTABLE ${PKG_CONFIG_EXECUTABLE} --define-prefix )
 else()
+  if ( DEFINED ENV{GSTREAMER_ROOT_DIR} )
+     if ( EXISTS "$ENV{GSTREAMER_ROOT_DIR}/pkgconfig" )
+       message ( STATUS "*** Using GSTREAMER_ROOT_DIR = " $ENV{GSTREAMER_ROOT_DIR} )
+       set( ENV{PKG_CONFIG_PATH} "$ENV{GSTREAMER_ROOT_DIR}/pkgconfig:$ENV{PKG_CONFIG_PATH}" )
+     endif()
+  endif()
   set( ENV{PKG_CONFIG_PATH} "$ENV{PKG_CONFIG_PATH}:/usr/local/lib/pkgconfig" ) # standard location for self-installed gstreamer
 endif()
 
@@ -31,6 +37,13 @@
                                   gstreamer-video-1.0>=1.4
                                   gstreamer-app-1.0>=1.4
 )
+
+# temporary hack to deal with an issue in gstreamer 1.24
+pkg_check_modules ( GST124 gstreamer-1.0>=1.24 )
+if ( GST124_FOUND )
+  message( STATUS "*** GStreamer >= 1.24: GST_124 will be defined" )
+  set( GST_124 "1" CACHE STRING "define GST_124" )
+endif()
 
 add_library( renderers
              STATIC
