=== debian/changelog ===
uxplay (1.69-1) unstable; urgency=medium

  * New upstream version.

 -- Alex Myczko <tar@debian.org>  Mon, 12 Aug 2024 19:19:29 +0000
