## uxplay 1.70

=== renderers/CMakeLists.txt ===
--- 
+++ 
@@ -38,17 +38,10 @@
                                   gstreamer-app-1.0>=1.4
 )
 
-# temporary hack to deal with an issue in gstreamer 1.24
-pkg_check_modules ( GST124 gstreamer-1.0>=1.24 )
-if ( GST124_FOUND )
-  message( STATUS "*** GStreamer >= 1.24: GST_124 will be defined" )
-  set( GST_124 "1" CACHE STRING "define GST_124" )
-endif()
-
 add_library( renderers
              STATIC
-             audio_renderer_gstreamer.c
-	     video_renderer_gstreamer.c )
+             audio_renderer.c
+	     video_renderer.c )
 
 target_link_libraries ( renderers PUBLIC airplay )
