=== debian/changelog ===
uxplay (1.70-1) unstable; urgency=medium

  * New upstream version.

 -- Alex Myczko <tar@debian.org>  Mon, 14 Oct 2024 19:13:07 +0000
