## uxplay 1.71

=== debian/changelog ===
uxplay (1.71-1) unstable; urgency=medium

  * New upstream version.

 -- Alex Myczko <tar@debian.org>  Mon, 16 Dec 2024 10:02:29 +0000
