## uxplay 1.71.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 if ( APPLE )
   cmake_minimum_required( VERSION 3.13 )
 else ()
-  cmake_minimum_required( VERSION 3.5 )
+  cmake_minimum_required( VERSION 3.10 )
 endif ()
 
 project( uxplay )
@@ -47,12 +47,6 @@
      message ( STATUS "define GST_MACOS" )
 endif()
 
-if  ( GST_124 )
-     add_definitions( -DGST_124 )
-     message ( STATUS "define GST_124" )
-endif()
-
-
 add_executable( uxplay uxplay.cpp )
 target_link_libraries( uxplay
                    renderers
