=== debian/changelog ===
uxplay (1.71.1-1) unstable; urgency=medium

  * New upstream version.

 -- Alex Myczko <tar@debian.org>  Fri, 24 Jan 2025 13:27:39 +0000
