=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: uxplay
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Gürkan Myczko <tar@debian.org>
+Maintainer: Alex Myczko <tar@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  cmake,
@@ -14,7 +13,7 @@
  gstreamer1.0-libav,
  gstreamer1.0-vaapi,
  gstreamer1.0-plugins-bad
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/bananas-team/uxplay
 Vcs-Git: https://salsa.debian.org/bananas-team/uxplay.git
 Homepage: https://github.com/FDH2/UxPlay
