## uxplay 1.72.1

=== debian/changelog ===
uxplay (1.72.1-1) experimental; urgency=medium

  * New upstream version.
  * Bump standards version to 4.7.2.

 -- Alex Myczko <tar@debian.org>  Mon, 07 Jul 2025 09:56:02 +0000
