=== debian/changelog ===
uxplay (1.72.2-1) unstable; urgency=medium

  * New upstream version.

 -- Alex Myczko <tar@debian.org>  Fri, 05 Sep 2025 10:30:17 -0500
