=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  gstreamer1.0-libav,
  gstreamer1.0-vaapi,
  gstreamer1.0-plugins-bad
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/bananas-team/uxplay
 Vcs-Git: https://salsa.debian.org/bananas-team/uxplay.git
 Homepage: https://github.com/FDH2/UxPlay
